CreateSchedulerTrigger
CreateSchedulerTrigger
POST
/zstack/v1/scheduler/triggersOperation ID
CreateSchedulerTriggerSince
2.1Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
schedulerIntervalIntegerOptional. The interval. Set the interval when a simple scheduler job runs more than once. Set the interval when a simple scheduler job repeats indefinitely.
repeatCountIntegerOptional. The repeat count.
startTimeLongOptional. The start time in Unix time.
schedulerTypeStringRequiredThe scheduler type: simple or cron.
cronStringOptional. The cron expression.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
